Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 4147)
@@ -21,22 +21,22 @@
    !! * Share Module variables
    REAL(wp) , PUBLIC ::   & !!! ** ice-thermo namelist (namicethd) **
-      hmelt   = -0.15  ,  &  !: maximum melting at the bottom
-      hicmin  = 0.2    ,  &  !: ice th. corr. to max. ener. in brine pocket
-      hiclim  = 0.05   ,  &  !: minimum ice thickness
-      amax    = 0.999  ,  &  !: maximum lead fraction
-      swiqst  = 1.0    ,  &  !: energy stored in brine pocket (1) or not (0)
-      sbeta   = 1.0    ,  &  !: numerical scheme for diffusion in ice 
-      parlat  = 0.0    ,  &  !: percent. of energy used for lateral ablation
-      hakspl  = 0.5    ,  &  !: slope of distr. for Hakkinen-Mellro's lat. melt
-      hibspl  = 0.5    ,  &  !: slope of distribution for Hibler's lat. melt
-      exld    = 2.0    ,  &  !: exponent for leads-closure rate
-      hakdif  = 1.0    ,  &  !: coefficient for diffusions of ice and snow
-      thth    = 0.2    ,  &  !: thick. for comp. of eq. thermal conduct
-      hnzst   = 0.1    ,  &  !: thick. of the surf. layer in temp. comp.
-      parsub  = 1.0    ,  &  !: switch for snow sublimation or not
-      alphs   = 1.0          !: coef. for snow density when snow-ice formation
+      hmelt            ,  &  !: maximum melting at the bottom
+      hicmin           ,  &  !: ice th. corr. to max. ener. in brine pocket
+      hiclim           ,  &  !: minimum ice thickness
+      amax             ,  &  !: maximum lead fraction
+      swiqst           ,  &  !: energy stored in brine pocket (1) or not (0)
+      sbeta            ,  &  !: numerical scheme for diffusion in ice 
+      parlat           ,  &  !: percent. of energy used for lateral ablation
+      hakspl           ,  &  !: slope of distr. for Hakkinen-Mellro's lat. melt
+      hibspl           ,  &  !: slope of distribution for Hibler's lat. melt
+      exld             ,  &  !: exponent for leads-closure rate
+      hakdif           ,  &  !: coefficient for diffusions of ice and snow
+      thth             ,  &  !: thick. for comp. of eq. thermal conduct
+      hnzst            ,  &  !: thick. of the surf. layer in temp. comp.
+      parsub           ,  &  !: switch for snow sublimation or not
+      alphs                  !: coef. for snow density when snow-ice formation
 
    REAL(wp), PUBLIC, DIMENSION(2)  ::  &  !:   
-      hiccrit = (/0.3,0.3/)  !: ice th. for lateral accretion in the NH (SH) (m)
+      hiccrit                !: ice th. for lateral accretion in the NH (SH) (m)
 
    REAL(wp) , PUBLIC ::   &  !:
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 4147)
@@ -158,77 +158,77 @@
    !! * Share Module variables
    !!--------------------------------------------------------------------------
-   INTEGER , PUBLIC ::   nstart      !: iteration number of the begining of the run 
-   INTEGER , PUBLIC ::   nlast       !: iteration number of the end of the run 
-   INTEGER , PUBLIC ::   nitrun      !: number of iteration
-   INTEGER , PUBLIC ::   numit       !: iteration number
-   REAL(wp), PUBLIC ::   rdt_ice     !: ice time step
-   REAL(wp), PUBLIC ::   r1_rdtice   !: = 1. / rdt_ice
-
-   !                                          !!** ice-dynamic namelist (namicedyn) **
-   INTEGER , PUBLIC ::   nbiter = 1            !: number of sub-time steps for relaxation
-   INTEGER , PUBLIC ::   nbitdr = 250          !: maximum number of iterations for relaxation
-   INTEGER , PUBLIC ::   nevp   = 400          !: number of iterations for subcycling
+   INTEGER , PUBLIC ::   nstart           !: iteration number of the begining of the run 
+   INTEGER , PUBLIC ::   nlast            !: iteration number of the end of the run 
+   INTEGER , PUBLIC ::   nitrun           !: number of iteration
+   INTEGER , PUBLIC ::   numit            !: iteration number
+   REAL(wp), PUBLIC ::   rdt_ice          !: ice time step
+   REAL(wp), PUBLIC ::   r1_rdtice        !: = 1. / rdt_ice
+
+   !                                     !!** ice-dynamic namelist (namicedyn) **
+   INTEGER , PUBLIC ::   nbiter           !: number of sub-time steps for relaxation
+   INTEGER , PUBLIC ::   nbitdr           !: maximum number of iterations for relaxation
+   INTEGER , PUBLIC ::   nevp             !: number of iterations for subcycling
    INTEGER , PUBLIC ::   nlay_i = 5            !: number of layers in the ice
 
-   !                                          !!** ice-dynamic namelist (namicedyn) **
-   REAL(wp), PUBLIC ::   epsd   = 1.0e-20_wp   !: tolerance parameter for dynamic
-   REAL(wp), PUBLIC ::   alpha  = 0.5_wp       !: coefficient for semi-implicit coriolis
-   REAL(wp), PUBLIC ::   dm     = 0.6e+03_wp   !: diffusion constant for dynamics
-   REAL(wp), PUBLIC ::   om     = 0.5_wp       !: relaxation constant
-   REAL(wp), PUBLIC ::   resl   = 5.0e-05_wp   !: maximum value for the residual of relaxation
-   REAL(wp), PUBLIC ::   cw     = 5.0e-03_wp   !: drag coefficient for oceanic stress
-   REAL(wp), PUBLIC ::   angvg  = 0._wp        !: turning angle for oceanic stress
-   REAL(wp), PUBLIC ::   pstar  = 1.0e+04_wp   !: determines ice strength (N/M), Hibler JPO79
-   REAL(wp), PUBLIC ::   c_rhg  = 20._wp       !: determines changes in ice strength
-   REAL(wp), PUBLIC ::   etamn  = 0.0e+07_wp   !: minimun value for viscosity : has to be 0
-   REAL(wp), PUBLIC ::   creepl = 2.0e-08_wp   !: creep limit : has to be under 1.0e-9
-   REAL(wp), PUBLIC ::   ecc    = 2._wp        !: eccentricity of the elliptical yield curve
-   REAL(wp), PUBLIC ::   ahi0   = 350._wp      !: sea-ice hor. eddy diffusivity coeff. (m2/s)
-   REAL(wp), PUBLIC ::   telast = 2880._wp     !: timescale for elastic waves (s) !SB
-   REAL(wp), PUBLIC ::   alphaevp = 1._wp      !: coeficient of the internal stresses !SB
+   !                                     !!** ice-dynamic namelist (namicedyn) **
+   REAL(wp), PUBLIC ::   epsd             !: tolerance parameter for dynamic
+   REAL(wp), PUBLIC ::   alpha            !: coefficient for semi-implicit coriolis
+   REAL(wp), PUBLIC ::   dm               !: diffusion constant for dynamics
+   REAL(wp), PUBLIC ::   om               !: relaxation constant
+   REAL(wp), PUBLIC ::   resl             !: maximum value for the residual of relaxation
+   REAL(wp), PUBLIC ::   cw               !: drag coefficient for oceanic stress
+   REAL(wp), PUBLIC ::   angvg            !: turning angle for oceanic stress
+   REAL(wp), PUBLIC ::   pstar            !: determines ice strength (N/M), Hibler JPO79
+   REAL(wp), PUBLIC ::   c_rhg            !: determines changes in ice strength
+   REAL(wp), PUBLIC ::   etamn            !: minimun value for viscosity : has to be 0
+   REAL(wp), PUBLIC ::   creepl           !: creep limit : has to be under 1.0e-9
+   REAL(wp), PUBLIC ::   ecc              !: eccentricity of the elliptical yield curve
+   REAL(wp), PUBLIC ::   ahi0             !: sea-ice hor. eddy diffusivity coeff. (m2/s)
+   REAL(wp), PUBLIC ::   telast           !: timescale for elastic waves (s) !SB
+   REAL(wp), PUBLIC ::   alphaevp         !: coeficient of the internal stresses !SB
    REAL(wp), PUBLIC ::   unit_fac = 1.e+09_wp  !: conversion factor for ice / snow enthalpy
 
-   !                                              !!** ice-salinity namelist (namicesal) **
-   REAL(wp), PUBLIC ::   s_i_max  = 20.0_wp        !: maximum ice salinity [PSU]
-   REAL(wp), PUBLIC ::   s_i_min  =  0.1_wp        !: minimum ice salinity [PSU]
-   REAL(wp), PUBLIC ::   s_i_0    =  3.5_wp        !: 1st sal. value for the computation of sal .prof. [PSU]
-   REAL(wp), PUBLIC ::   s_i_1    =  4.5_wp        !: 2nd sal. value for the computation of sal .prof. [PSU]
-   REAL(wp), PUBLIC ::   sal_G    =  5.0_wp        !: restoring salinity for gravity drainage [PSU]
-   REAL(wp), PUBLIC ::   sal_F    =  2.5_wp        !: restoring salinity for flushing [PSU]
-   REAL(wp), PUBLIC ::   time_G   =  1.728e+06_wp  !: restoring time constant for gravity drainage (= 20 days) [s]
-   REAL(wp), PUBLIC ::   time_F   =  8.640e+05_wp  !: restoring time constant for gravity drainage (= 10 days) [s]
-   REAL(wp), PUBLIC ::   bulk_sal =  4.0_wp        !: bulk salinity (ppt) in case of constant salinity
-
-   !                                              !!** ice-salinity namelist (namicesal) **
-   INTEGER , PUBLIC ::   num_sal     = 1           !: salinity configuration used in the model
-   !                                               ! 1 - constant salinity in both space and time
-   !                                               ! 2 - prognostic salinity (s(z,t))
-   !                                               ! 3 - salinity profile, constant in time
+   !                                     !!** ice-salinity namelist (namicesal) **
+   REAL(wp), PUBLIC ::   s_i_max          !: maximum ice salinity [PSU]
+   REAL(wp), PUBLIC ::   s_i_min          !: minimum ice salinity [PSU]
+   REAL(wp), PUBLIC ::   s_i_0            !: 1st sal. value for the computation of sal .prof. [PSU]
+   REAL(wp), PUBLIC ::   s_i_1            !: 2nd sal. value for the computation of sal .prof. [PSU]
+   REAL(wp), PUBLIC ::   sal_G            !: restoring salinity for gravity drainage [PSU]
+   REAL(wp), PUBLIC ::   sal_F            !: restoring salinity for flushing [PSU]
+   REAL(wp), PUBLIC ::   time_G           !: restoring time constant for gravity drainage (= 20 days) [s]
+   REAL(wp), PUBLIC ::   time_F           !: restoring time constant for gravity drainage (= 10 days) [s]
+   REAL(wp), PUBLIC ::   bulk_sal         !: bulk salinity (ppt) in case of constant salinity
+
+   !                                     !!** ice-salinity namelist (namicesal) **
+   INTEGER , PUBLIC ::   num_sal          !: salinity configuration used in the model
+   !                                         ! 1 - constant salinity in both space and time
+   !                                         ! 2 - prognostic salinity (s(z,t))
+   !                                         ! 3 - salinity profile, constant in time
    INTEGER , PUBLIC ::   sal_prof    = 1           !: salinity profile or not 
-   INTEGER , PUBLIC ::   thcon_i_swi = 1           !: thermal conductivity: =1 Untersteiner (1964) ; =2 Pringle et al (2007)
-
-   !                                              !!** ice-mechanical redistribution namelist (namiceitdme)
-   REAL(wp), PUBLIC ::   Cs        = 0.25_wp       !: fraction of shearing energy contributing to ridging            
-   REAL(wp), PUBLIC ::   Cf        = 17.0_wp       !: ratio of ridging work to PE loss
-   REAL(wp), PUBLIC ::   fsnowrdg  = 0.5_wp        !: fractional snow loss to the ocean during ridging
-   REAL(wp), PUBLIC ::   fsnowrft  = 0.5_wp        !: fractional snow loss to the ocean during ridging
-   REAL(wp), PUBLIC ::   Gstar     = 0.15_wp       !: fractional area of young ice contributing to ridging
-   REAL(wp), PUBLIC ::   astar     = 0.05_wp       !: equivalent of G* for an exponential participation function
-   REAL(wp), PUBLIC ::   Hstar     = 100.0_wp      !: thickness that determines the maximal thickness of ridged ice
-   REAL(wp), PUBLIC ::   hparmeter = 0.75_wp       !: threshold thickness (m) for rafting / ridging 
-   REAL(wp), PUBLIC ::   Craft     = 5.0_wp        !: coefficient for smoothness of the hyperbolic tangent in rafting
-   REAL(wp), PUBLIC ::   ridge_por = 0.0_wp        !: initial porosity of ridges (0.3 regular value)
-   REAL(wp), PUBLIC ::   sal_max_ridge = 15.0_wp   !: maximum ridged ice salinity (ppt)
-   REAL(wp), PUBLIC ::   betas    = 1.0_wp         !: coef. for partitioning of snowfall between leads and sea ice
-   REAL(wp), PUBLIC ::   kappa_i  = 1.0_wp         !: coef. for the extinction of radiation Grenfell et al. (2006) [1/m]
-   REAL(wp), PUBLIC ::   nconv_i_thd = 50_wp       !: maximal number of iterations for heat diffusion
-   REAL(wp), PUBLIC ::   maxer_i_thd = 1.0e-4_wp   !: maximal tolerated error (C) for heat diffusion
-
-   !                                              !!** ice-mechanical redistribution namelist (namiceitdme)
-   INTEGER , PUBLIC ::   ridge_scheme_swi = 0      !: scheme used for ice ridging
-   INTEGER , PUBLIC ::   raftswi          = 1      !: rafting of ice or not                        
-   INTEGER , PUBLIC ::   partfun_swi      = 1      !: participation function: =0 Thorndike et al. (1975), =1 Lipscomb et al. (2007)
-   INTEGER , PUBLIC ::   transfun_swi     = 0      !: transfer function: =0 Hibler 1980, =1 Lipscomb et al. 2007
-   INTEGER , PUBLIC ::   brinstren_swi    = 0      !: use brine volume to diminish ice strength
+   INTEGER , PUBLIC ::   thcon_i_swi          !: thermal conductivity: =1 Untersteiner (1964) ; =2 Pringle et al (2007)
+
+   !                                     !!** ice-mechanical redistribution namelist (namiceitdme)
+   REAL(wp), PUBLIC ::   Cs               !: fraction of shearing energy contributing to ridging            
+   REAL(wp), PUBLIC ::   Cf               !: ratio of ridging work to PE loss
+   REAL(wp), PUBLIC ::   fsnowrdg         !: fractional snow loss to the ocean during ridging
+   REAL(wp), PUBLIC ::   fsnowrft         !: fractional snow loss to the ocean during ridging
+   REAL(wp), PUBLIC ::   Gstar            !: fractional area of young ice contributing to ridging
+   REAL(wp), PUBLIC ::   astar            !: equivalent of G* for an exponential participation function
+   REAL(wp), PUBLIC ::   Hstar            !: thickness that determines the maximal thickness of ridged ice
+   REAL(wp), PUBLIC ::   hparmeter        !: threshold thickness (m) for rafting / ridging 
+   REAL(wp), PUBLIC ::   Craft            !: coefficient for smoothness of the hyperbolic tangent in rafting
+   REAL(wp), PUBLIC ::   ridge_por        !: initial porosity of ridges (0.3 regular value)
+   REAL(wp), PUBLIC ::   sal_max_ridge    !: maximum ridged ice salinity (ppt)
+   REAL(wp), PUBLIC ::   betas            !: coef. for partitioning of snowfall between leads and sea ice
+   REAL(wp), PUBLIC ::   kappa_i          !: coef. for the extinction of radiation Grenfell et al. (2006) [1/m]
+   REAL(wp), PUBLIC ::   nconv_i_thd      !: maximal number of iterations for heat diffusion
+   REAL(wp), PUBLIC ::   maxer_i_thd      !: maximal tolerated error (C) for heat diffusion
+
+   !                                     !!** ice-mechanical redistribution namelist (namiceitdme)
+   INTEGER , PUBLIC ::   ridge_scheme_swi !: scheme used for ice ridging
+   INTEGER , PUBLIC ::   raftswi          !: rafting of ice or not                        
+   INTEGER , PUBLIC ::   partfun_swi      !: participation function: =0 Thorndike et al. (1975), =1 Lipscomb et al. (2007)
+   INTEGER , PUBLIC ::   transfun_swi     !: transfer function: =0 Hibler 1980, =1 Lipscomb et al. 2007
+   INTEGER , PUBLIC ::   brinstren_swi    !: use brine volume to diminish ice strength
 
    REAL(wp), PUBLIC ::   usecc2           !:  = 1.0 / ( ecc * ecc )
@@ -390,15 +390,15 @@
    !! * Ice Run
    !!--------------------------------------------------------------------------
-   !                                                                     !!: ** Namelist namicerun read in iceini **
-   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_in  = "restart_ice_in"   !: suffix of ice restart name (input)
-   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_out = "restart_ice"      !: suffix of ice restart name (output)
-   LOGICAL               , PUBLIC ::   ln_limdyn     = .TRUE.             !: flag for ice dynamics (T) or not (F)
-   LOGICAL               , PUBLIC ::   ln_nicep      = .TRUE.             !: flag for sea-ice points output (T) or not (F)
-   REAL(wp)              , PUBLIC ::   hsndif        = 0.e0               !: computation of temp. in snow (0) or not (9999)
-   REAL(wp)              , PUBLIC ::   hicdif        = 0.e0               !: computation of temp. in ice (0) or not (9999)
-   REAL(wp)              , PUBLIC ::   cai           = 1.40e-3            !: atmospheric drag over sea ice
-   REAL(wp)              , PUBLIC ::   cao           = 1.00e-3            !: atmospheric drag over ocean
-   REAL(wp), DIMENSION(2), PUBLIC ::   acrit  = (/ 1.e-06 , 1.e-06 /)     !: minimum fraction for leads in
-   !                                                                      !: north and south hemisphere
+   !                                                  !!: ** Namelist namicerun read in iceini **
+   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_in    !: suffix of ice restart name (input)
+   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_out   !: suffix of ice restart name (output)
+   LOGICAL               , PUBLIC ::   ln_limdyn       !: flag for ice dynamics (T) or not (F)
+   LOGICAL               , PUBLIC ::   ln_nicep        !: flag for sea-ice points output (T) or not (F)
+   REAL(wp)              , PUBLIC ::   hsndif          !: computation of temp. in snow (0) or not (9999)
+   REAL(wp)              , PUBLIC ::   hicdif          !: computation of temp. in ice (0) or not (9999)
+   REAL(wp)              , PUBLIC ::   cai             !: atmospheric drag over sea ice
+   REAL(wp)              , PUBLIC ::   cao             !: atmospheric drag over ocean
+   REAL(wp), DIMENSION(2), PUBLIC ::   acrit           !: minimum fraction for leads in north and south hemisphere
+   !
    !!--------------------------------------------------------------------------
    !! * Ice diagnostics
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 4147)
@@ -71,6 +71,8 @@
          &     'use more ocean levels or less ice/snow layers/categories.' )
 
-      !                                ! Open the namelist file 
-      CALL ctl_opn( numnam_ice, 'namelist_ice', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
+                                       ! Open the reference and configuration namelist files and namelist output file 
+      CALL ctl_opn( numnam_ice_ref, 'namelist_ice_ref',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp ) 
+      CALL ctl_opn( numnam_ice_cfg, 'namelist_ice_cfg',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
+      CALL ctl_opn( numoni,         'output.namelist.ice', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
       !
       CALL ice_run                     ! set some ice run parameters
@@ -127,8 +129,15 @@
       !!-------------------------------------------------------------------
       NAMELIST/namicerun/ cn_icerst_in, cn_icerst_out, ln_limdyn, acrit, hsndif, hicdif, cai, cao, ln_nicep
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!-------------------------------------------------------------------
       !                    
-      REWIND( numnam_ice )                ! Read Namelist namicerun 
-      READ  ( numnam_ice , namicerun )
+      REWIND( numnam_ice_ref )              ! Namelist namicerun in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, namicerun, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicerun in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, namicerun, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in configuration namelist', lwp )
+      WRITE ( numoni, namicerun )
       !
       IF( lk_mpp .AND. ln_nicep ) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90	(revision 4147)
@@ -30,6 +30,6 @@
    PUBLIC lim_dia       ! called by ice_step
 
-   INTEGER, PUBLIC  ::   ntmoy   = 1   !: instantaneous values of ice evolution or averaging ntmoy
-   INTEGER, PUBLIC  ::   ninfo   = 1   !: frequency of ouputs on file ice_evolu in case of averaging
+   INTEGER, PUBLIC  ::   ntmoy    !: instantaneous values of ice evolution or averaging ntmoy
+   INTEGER, PUBLIC  ::   ninfo    !: frequency of ouputs on file ice_evolu in case of averaging
 
    !                                              !!! Parameters for outputs to files "evolu"
@@ -38,5 +38,5 @@
    INTEGER, PARAMETER ::   jpchsep = jpchinf + 2   ! ???
 
-   INTEGER  ::   nfrinf  = 4         ! number of variables written in one line 
+   INTEGER  ::   nfrinf    ! number of variables written in one line 
    INTEGER  ::   nferme              ! last time step at which the var. are written on file
    INTEGER  ::   nvinfo              ! number of total variables 
@@ -45,5 +45,5 @@
    REAL(wp) ::   epsi06 = 1.e-6_wp   ! small number
 
-   CHARACTER(len= 8) ::   fmtinf = '1PE13.5 '   ! format of the output values  
+   CHARACTER(len= 8) ::   fmtinf     ! format of the output values  
    CHARACTER(len=30) ::   fmtw                  ! formats
    CHARACTER(len=30) ::   fmtr                  ! ???
@@ -415,4 +415,5 @@
       INTEGER  ::   jv    ! dummy loop indice
       INTEGER  ::   ierr, ntot , ndeb , irecl   ! local integers
+      INTEGER  ::   ios                         ! Local integer output status for namelist read
       REAL(wp) ::   zxx0, zxx1    ! local scalars
       CHARACTER(len=jpchinf) ::   titinf
@@ -422,6 +423,12 @@
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice )             ! read namicedia namelist
-      READ  ( numnam_ice, namicedia )
+      REWIND( numnam_ice_ref )              ! Namelist namicedia in reference namelist : Ice diagnostics in ice_evolu
+      READ  ( numnam_ice_ref, namicedia, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedia in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicedia in configuration namelist : Ice diagnostics in ice_evolu 
+      READ  ( numnam_ice_cfg, namicedia, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedia in configuration namelist', lwp )
+      WRITE ( numoni, namicedia )
       !
       IF(lwp) THEN                     ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 4147)
@@ -226,4 +226,5 @@
       !! ** input   :   Namelist namicedyn
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicedyn/ epsd, alpha,     &
          &                dm, nbiter, nbitdr, om, resl, cw, angvg, pstar,   &
@@ -232,6 +233,12 @@
       !!-------------------------------------------------------------------
 
-      REWIND( numnam_ice )                ! Read Namelist namicedyn
-      READ  ( numnam_ice  , namicedyn )
+      REWIND( numnam_ice_ref )              ! Namelist namicedyn in reference namelist : Ice dynamics
+      READ  ( numnam_ice_ref, namicedyn, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedyn in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicedyn in configuration namelist : Ice dynamics
+      READ  ( numnam_ice_cfg, namicedyn, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedyn in configuration namelist', lwp )
+      WRITE ( numoni, namicedyn )
       
       IF(lwp) THEN                        ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 4147)
@@ -33,18 +33,18 @@
    PUBLIC   lim_istate      ! routine called by lim_init.F90
 
-   !                                  !!** init namelist (namiceini) **
-   REAL(wp) ::   ttest    = 2.0_wp     ! threshold water temperature for initial sea ice
-   REAL(wp) ::   hninn    = 0.5_wp     ! initial snow thickness in the north
-   REAL(wp) ::   hginn_u  = 2.5_wp     ! initial ice thickness in the north
-   REAL(wp) ::   aginn_u  = 0.7_wp     ! initial leads area in the north
-   REAL(wp) ::   hginn_d  = 5.0_wp     ! initial ice thickness in the north
-   REAL(wp) ::   aginn_d  = 0.25_wp    ! initial leads area in the north
-   REAL(wp) ::   hnins    = 0.1_wp     ! initial snow thickness in the south
-   REAL(wp) ::   hgins_u  = 1.0_wp     ! initial ice thickness in the south
-   REAL(wp) ::   agins_u  = 0.7_wp     ! initial leads area in the south
-   REAL(wp) ::   hgins_d  = 2.0_wp     ! initial ice thickness in the south
-   REAL(wp) ::   agins_d  = 0.2_wp     ! initial leads area in the south
-   REAL(wp) ::   sinn     = 6.301_wp   ! initial salinity 
-   REAL(wp) ::   sins     = 6.301_wp   !
+   !                       !!** init namelist (namiceini) **
+   REAL(wp) ::   ttest      ! threshold water temperature for initial sea ice
+   REAL(wp) ::   hninn      ! initial snow thickness in the north
+   REAL(wp) ::   hginn_u    ! initial ice thickness in the north
+   REAL(wp) ::   aginn_u    ! initial leads area in the north
+   REAL(wp) ::   hginn_d    ! initial ice thickness in the north
+   REAL(wp) ::   aginn_d    ! initial leads area in the north
+   REAL(wp) ::   hnins      ! initial snow thickness in the south
+   REAL(wp) ::   hgins_u    ! initial ice thickness in the south
+   REAL(wp) ::   agins_u    ! initial leads area in the south
+   REAL(wp) ::   hgins_d    ! initial ice thickness in the south
+   REAL(wp) ::   agins_d    ! initial leads area in the south
+   REAL(wp) ::   sinn       ! initial salinity 
+   REAL(wp) ::   sins       !
 
    !!----------------------------------------------------------------------
@@ -536,10 +536,17 @@
       !! ** input  :   namelist namiceini
       !!-----------------------------------------------------------------------------
+      INTEGER :: ios                 ! Local integer output status for namelist read
       NAMELIST/namiceini/ ttest, hninn, hginn_u, aginn_u, hginn_d, aginn_d, hnins,   &
          &                hgins_u, agins_u, hgins_d, agins_d, sinn, sins
       !!-----------------------------------------------------------------------------
       !
-      REWIND ( numnam_ice )               ! Read Namelist namiceini 
-      READ   ( numnam_ice , namiceini )
+      REWIND( numnam_ice_ref )              ! Namelist namiceini in reference namelist : Ice initial state
+      READ  ( numnam_ice_ref, namiceini, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namiceini in configuration namelist : Ice initial state
+      READ  ( numnam_ice_cfg, namiceini, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in configuration namelist', lwp )
+      WRITE ( numoni, namiceini )
       !
       IF(lwp) THEN                        ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90	(revision 4147)
@@ -1409,4 +1409,5 @@
       !! ** input   :   Namelist namiceitdme
       !!-------------------------------------------------------------------
+      INTEGER :: ios                 ! Local integer output status for namelist read
       NAMELIST/namiceitdme/ ridge_scheme_swi, Cs, Cf, fsnowrdg, fsnowrft,& 
          Gstar, astar,                                &
@@ -1416,6 +1417,12 @@
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice )                   ! read namiceitdme namelist
-      READ  ( numnam_ice , namiceitdme)
+      REWIND( numnam_ice_ref )              ! Namelist namicetdme in reference namelist : Ice mechanical ice redistribution
+      READ  ( numnam_ice_ref, namiceitdme, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceitdme in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namiceitdme in configuration namelist : Ice mechanical ice redistribution
+      READ  ( numnam_ice_cfg, namiceitdme, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceitdme in configuration namelist', lwp )
+      WRITE ( numoni, namiceitdme )
       !
       IF (lwp) THEN                          ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90	(revision 4147)
@@ -791,4 +791,5 @@
       !! ** input   :   Namelist namicether
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicethd/ hmelt , hiccrit, fraz_swi, maxfrazb, vfrazb, Cfrazb,   &
          &                hicmin, hiclim, amax  ,                                &
@@ -804,6 +805,12 @@
       ENDIF
       !
-      REWIND( numnam_ice )                  ! read Namelist numnam_ice
-      READ  ( numnam_ice , namicethd )
+      REWIND( numnam_ice_ref )              ! Namelist namicethd in reference namelist : Ice thermodynamics
+      READ  ( numnam_ice_ref, namicethd, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicethd in configuration namelist : Ice thermodynamics
+      READ  ( numnam_ice_cfg, namicethd, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in configuration namelist', lwp )
+      WRITE ( numoni, namicethd )
       !
       IF(lwp) THEN                          ! control print
